Skip to main content
`Ctrl`+`K`

# EPSPowerSetUpdate

Sets a flag to indicate that the residual is updated monolithically for nonlinear problems. This potentially has a better convergence.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerSetUpdate(EPS eps,PetscBool update)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- update - whether the residual is updated monolithically or not

## Options Database Key

- -eps_power_update - sets the update flag

## Note

This flag is relevant only in nonlinear problems, see `EPSPowerSetNonlinear()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerGetUpdate()`, `EPSPowerGetNonlinear()`, `EPSSetOperators()`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Implementations

EPSPowerSetUpdate_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages